IRremoteESP8266

Public Attributes | List of all members
WhirlpoolProtocol Union Reference

Native representation of a Whirlpool A/C message. More...

`#include <ir_Whirlpool.h>`

## Public Attributes
uint8_t | raw [kWhirlpoolAcStateLength]
| The state in IR code form. More...
struct {
uint8_t pad0 [2]
uint8_t Fan:2
uint8_t Power:1
uint8_t Sleep:1
uint8_t __pad0__:3
uint8_t Swing1:1
uint8_t Mode:3
uint8_t __pad1__:1
uint8_t Temp:4
uint8_t __pad2__:8
uint8_t __pad3__:4
uint8_t Super1:1
uint8_t __pad4__:2
uint8_t Super2:1
uint8_t ClockHours:5
uint8_t LightOff:1
uint8_t __pad5__:2
uint8_t ClockMins:6
uint8_t __pad6__:1
uint8_t OffTimerEnabled:1
uint8_t OffHours:5
uint8_t __pad7__:1
uint8_t Swing2:1
uint8_t __pad8__:1
uint8_t OffMins:6
uint8_t __pad9__:1
uint8_t OnTimerEnabled:1
uint8_t OnHours:5
uint8_t __pad10__:3
uint8_t OnMins:6
uint8_t __pad11__:2
uint8_t __pad12__:8
uint8_t Sum1:8
uint8_t __pad13__:8
uint8_t Cmd:8
uint8_t pad1 [2]
uint8_t __pad14__:3
uint8_t J191:1
uint8_t __pad15__:4
uint8_t __pad16__:8
uint8_t Sum2:8
}; |

## Detailed Description

Native representation of a Whirlpool A/C message.

## Member Data Documentation

## ◆ @134

struct { ... }

## ◆ __pad0__

uint8_t WhirlpoolProtocol::__pad0__

## ◆ __pad10__

uint8_t WhirlpoolProtocol::__pad10__

## ◆ __pad11__

uint8_t WhirlpoolProtocol::__pad11__

## ◆ __pad12__

uint8_t WhirlpoolProtocol::__pad12__

## ◆ __pad13__

uint8_t WhirlpoolProtocol::__pad13__

## ◆ __pad14__

uint8_t WhirlpoolProtocol::__pad14__

## ◆ __pad15__

uint8_t WhirlpoolProtocol::__pad15__

## ◆ __pad16__

uint8_t WhirlpoolProtocol::__pad16__

## ◆ __pad1__

uint8_t WhirlpoolProtocol::__pad1__

## ◆ __pad2__

uint8_t WhirlpoolProtocol::__pad2__

## ◆ __pad3__

uint8_t WhirlpoolProtocol::__pad3__

## ◆ __pad4__

uint8_t WhirlpoolProtocol::__pad4__

## ◆ __pad5__

uint8_t WhirlpoolProtocol::__pad5__

## ◆ __pad6__

uint8_t WhirlpoolProtocol::__pad6__

## ◆ __pad7__

uint8_t WhirlpoolProtocol::__pad7__

## ◆ __pad8__

uint8_t WhirlpoolProtocol::__pad8__

## ◆ __pad9__

uint8_t WhirlpoolProtocol::__pad9__

## ◆ ClockHours

uint8_t WhirlpoolProtocol::ClockHours

## ◆ ClockMins

uint8_t WhirlpoolProtocol::ClockMins

## ◆ Cmd

uint8_t WhirlpoolProtocol::Cmd

## ◆ Fan

uint8_t WhirlpoolProtocol::Fan

## ◆ J191

uint8_t WhirlpoolProtocol::J191

## ◆ LightOff

uint8_t WhirlpoolProtocol::LightOff

## ◆ Mode

uint8_t WhirlpoolProtocol::Mode

## ◆ OffHours

uint8_t WhirlpoolProtocol::OffHours

## ◆ OffMins

uint8_t WhirlpoolProtocol::OffMins

## ◆ OffTimerEnabled

uint8_t WhirlpoolProtocol::OffTimerEnabled

## ◆ OnHours

uint8_t WhirlpoolProtocol::OnHours

## ◆ OnMins

uint8_t WhirlpoolProtocol::OnMins

## ◆ OnTimerEnabled

uint8_t WhirlpoolProtocol::OnTimerEnabled

## ◆ pad0

uint8_t WhirlpoolProtocol::pad0[2]

## ◆ pad1

uint8_t WhirlpoolProtocol::pad1[2]

## ◆ Power

uint8_t WhirlpoolProtocol::Power

## ◆ raw

uint8_t WhirlpoolProtocol::raw[kWhirlpoolAcStateLength]

The state in IR code form.

## ◆ Sleep

uint8_t WhirlpoolProtocol::Sleep

## ◆ Sum1

uint8_t WhirlpoolProtocol::Sum1

## ◆ Sum2

uint8_t WhirlpoolProtocol::Sum2

## ◆ Super1

uint8_t WhirlpoolProtocol::Super1

## ◆ Super2

uint8_t WhirlpoolProtocol::Super2

## ◆ Swing1

uint8_t WhirlpoolProtocol::Swing1

## ◆ Swing2

uint8_t WhirlpoolProtocol::Swing2

## ◆ Temp

uint8_t WhirlpoolProtocol::Temp

The documentation for this union was generated from the following file:

- src/ir_Whirlpool.h